/*
 * $Id: HasPermissionTag.java,v 1.8 2004/10/31 03:01:54 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: HasPermissionTag.java,v $
 * Revision 1.8  2004/10/31 03:01:54  marbobo
 * + Refactoring
 *
 * Revision 1.7  2004/07/20 15:26:00  jonyp
 * added support for new parameter "value"
 *
 * Revision 1.6  2004/06/27 17:39:29  marbobo
 * + Quellcode maintenance
 *
 * Revision 1.5  2003/12/24 10:12:04  bigmac
 * Projektweite Import-Optimierung
 *
 * Revision 1.4  2003/07/23 10:45:34  marbobo
 * -unnötige Importanweisungen entfernt
 *
 * Revision 1.3  2003/04/02 10:34:52  bigmac
 * *** empty log message ***
 *
 * Revision 1.2  2003/02/26 10:13:49  jonyp
 * forceLogin flag
 *
 * Revision 1.1  2003/02/23 13:23:36  koppy
 * Initiale Version
 *
 */
package vkc.view.tag;

import javax.servlet.jsp.JspException;

/**
 * Tag zur Überprüfung der Rechte eines Users
 * auf einer VKC Entität (VKCCategory, VKCDocument, VKCGroup)
 *
 * @author koppy
 */
public class HasPermissionTag extends PermissionTagBase {
    public HasPermissionTag() {
        super();
    }

    /**
     * Aufruf der Methode am Anfang des PermissionTags
     */
    public int doStartTag() throws JspException {
		if ( super.hasPermission() ) {
		    return EVAL_BODY_INCLUDE;
		}
	
	    return SKIP_BODY;
    }

    /**
     * Aufruf der Methode am Ende des PermissionTags
     */
    public int doEndTag() throws JspException {
        return EVAL_PAGE;
    }
}